Bug 865695

Summary: [abrt]: kernel BUG at include/net/cfg80211.h:2473!: TAINTED P C
Product: [Fedora] Fedora Reporter: Stan King <stanley.king>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: ahumada.enzo, augustocarneiro, bugzilla, chris.hobson, cippu, dhirajhazra, gansalmon, itamar, jonathan, juhervel, kernel-maint, madhu.chinakonda, massi.ergosum, massix, orcalon, patricius599, ruelblapid, simon, s.so
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:982b9d25b22acbf5594a5aebbf9756b87e8424f1
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-15 05:25:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Stan King 2012-10-12 03:30:03 EDT
Description of problem:
I had just upgraded to kernel kernel-PAE-3.6.1-1.fc17.i686.

I am using akmod-wl.  I noticed that kmod-wl was also picked up in the batch of updates; usually it comes later.

To submit this report, I rebooted with the prior kernel, 3.5.5-2.fc17.i686.PAE.


Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.1-1.fc17.i686.PAE root=UUID=9a883740-4808-4b97-b529-69ee0ba34376 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
kernel:         3.6.1-1.fc17.i686.PAE

kernel_tainted_long:
:Proprietary module has been loaded.
:Modules from drivers/staging are loaded.

backtrace:
:kernel BUG at include/net/cfg80211.h:2473!
:invalid opcode: 0000 [#1] SMP 
:Modules linked in: lockd sunrpc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack iTCO_wdt iTCO_vendor_support hp_wmi sparse_keymap btusb uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core bluetooth videodev media snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq coretemp microcode snd_seq_device serio_raw lib80211_crypt_tkip snd_pcm lpc_ich mfd_core wl(PO) crystalhd(C) snd_page_alloc atl1c cfg80211 snd_timer snd rfkill soundcore lib80211 uinput wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core
:Pid: 598, comm: wpa_supplicant Tainted: P         C O 3.6.1-1.fc17.i686.PAE #1 Hewlett-Packard HP Mini 110-1100/308F
:EIP: 0060:[<f8e40765>] EFLAGS: 00210246 CPU: 1
:EIP is at wdev_priv.part.8+0x3/0x5 [wl]
:EAX: 00000000 EBX: f3cf6120 ECX: f8fc05a0 EDX: f3e16400
:ESI: f3e16400 EDI: f3cf6120 EBP: f180dbf8 ESP: f180dbf8
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:CR0: 80050033 CR2: 099db264 CR3: 322aa000 CR4: 000007f0
:DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
:DR6: ffff0ff0 DR7: 00000400
:Process wpa_supplicant (pid: 598, ti=f180c000 task=f2388000 task.ti=f180c000)
:Stack:
: f180dc28 f8e3dde1 f180dc10 c09705a8 f8034728 00000119 f8034728 000080d0
: f3e16400 f47c1600 00000000 f3cf6120 f180dc5c f8034a38 ffffffff 00000033
: 00000003 f47c1600 f3cf6120 f3cf6000 f180dc88 f3e16400 f8043220 f8043640
:Call Trace:
: [<f8e3dde1>] wl_cfg80211_scan+0x411/0x4a0 [wl]
: [<c09705a8>] ? mutex_lock+0x18/0x40
: [<f8034728>] ? nl80211_trigger_scan+0xc8/0x560 [cfg80211]
: [<f8034728>] ? nl80211_trigger_scan+0xc8/0x560 [cfg80211]
: [<f8034a38>] nl80211_trigger_scan+0x3d8/0x560 [cfg80211]
: [<f802c210>] ? __cfg80211_rdev_from_attrs+0x170/0x170 [cfg80211]
: [<c08a5595>] genl_rcv_msg+0x225/0x280
: [<c08a5370>] ? genl_rcv+0x30/0x30
: [<c08a4f26>] netlink_rcv_skb+0x86/0xa0
: [<c08a535c>] genl_rcv+0x1c/0x30
: [<c08a48f4>] netlink_unicast+0x164/0x1e0
: [<c08a4b89>] netlink_sendmsg+0x219/0x370
: [<c086cf74>] sock_sendmsg+0xa4/0xd0
: [<c050aff8>] ? get_page_from_freelist+0x358/0x590
: [<c086ded9>] __sys_sendmsg+0x299/0x2b0
: [<c054f427>] ? mem_cgroup_charge_common+0x97/0x100
: [<c050f85a>] ? lru_cache_add_lru+0x7a/0xa0
: [<c0444bdd>] ? __kunmap_atomic+0x8d/0xe0
: [<c0527754>] ? handle_pte_fault+0x4b4/0xad0
: [<c047bb05>] ? scheduler_tick+0xd5/0x100
: [<c0528e6d>] ? handle_mm_fault+0x1dd/0x280
: [<c086f1ab>] sys_sendmsg+0x3b/0x60
: [<c086f843>] sys_socketcall+0x273/0x2d0
: [<c09793df>] sysenter_do_call+0x12/0x28
:Code: d0 e8 10 20 b3 c7 89 f0 e8 d9 85 ff ff 89 d8 e8 a2 cc 85 c7 31 d2 89 f8 e8 89 2b 91 c7 58 5b 5e 5f 5d c3 55 89 e5 0f 0b 55 89 e5 <0f> 0b 55 89 e5 3e 8d 74 26 00 0f 0b 55 89 e5 3e 8d 74 26 00 0f
:EIP: [<f8e40765>] wdev_priv.part.8+0x3/0x5 [wl] SS:ESP 0068:f180dbf8
Comment 1 Ruel Lapid 2012-10-12 10:34:26 EDT
I just tried to enable wireless adapter and suddenly errors show up.

Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Orca Lonsdale 2012-10-12 22:34:46 EDT
Same here after updating the kernel (yum update) from 
kernel-3.5.6-1.fc17.x86_64 to
kernel-3.6.1-1.fc17.x86_64
Wireless (Broadcom 4312) isn't working:

[   42.863016] kernel BUG at include/net/cfg80211.h:2473!
[   42.863016] invalid opcode: 0000 [#1] SMP 
[   42.863016] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ip6t_REJECT nf_conntrack_ipv6 ib_cm nf_defrag_ipv6 ib_sa ib_mad nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_hwdep uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_seq snd_seq_device lib80211_crypt_tkip wl(PO) snd_pcm vhost_net tun macvtap macvlan kvm_amd snd_page_alloc snd_timer snd kvm sp5100_tco i2c_piix4 cfg80211 hp_wmi sparse_keymap rfkill joydev soundcore lib80211 jmb38x_ms memstick shpchp k10temp ir_lirc_codec lirc_dev microcode ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder ir_jvc_decoder ir_rc6_decoder ir_rc5_decoder ir_nec_decoder r8169 mii rc_rc6_mce ene_ir rc_core uinput ata_generic pata_acpi pata_atiixp sdhci_pci sdhci mmc_core wmi video radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
[   42.863016] CPU 1 
[   42.863016] Pid: 802, comm: wpa_supplicant Tainted: P           O 3.6.1-1.fc17.x86_64 #1 Hewlett-Packard Compaq Presario CQ40 Notebook PC/30FE
[   42.863016] RIP: 0010:[<ffffffffa0525326>]  [<ffffffffa0525326>] wdev_priv.part.8+0x4/0x6 [wl]
[   42.863016] RSP: 0018:ffff8801243fb958  EFLAGS: 00010246
[   42.863016] RAX: 0000000000000000 RBX: ffff880138e111e0 RCX: ffff880138e111e0
[   42.863016] RDX: ffff880138e111e0 RSI: ffff8801243b8000 RDI: ffff880138e111e0
[   42.863016] RBP: ffff8801243fb958 R08: ffff88013fc96aa0 R09: 000000000000001a
[   42.863016] R10: 0000000000000003 R11: ffff88013b402a00 R12: ffff880138e11000
[   42.863016] R13: ffff8801243b8000 R14: ffff8801243b8000 R15: 0000000000000000
[   42.863016] FS:  00007fbb1ce1f800(0000) GS:ffff88013fc80000(0000)      knlGS:0000000000000000
[   42.863016] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   42.863016] CR2: 00000000013fa528 CR3: 00000001242f5000 CR4: 00000000000007e0
[   42.863016] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   42.863016] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   42.863016] Process wpa_supplicant (pid: 802, threadinfo ffff8801243fa000, task ffff880124322e20)
[   42.863016] Stack:
[   42.863016]  ffff8801243fb9a8 ffffffffa0522544 ffffffffa026ec78 ffffffffa026ec78
[   42.863016]  000000000000000c ffff8801243fba28 ffff880138e11000 0000000000000001
[   42.863016]  ffff8801243b8000 0000000000000000 ffff8801243fba08 ffffffffa026f005
[   42.863016] Call Trace:
[   42.863016]  [<ffffffffa0522544>] wl_cfg80211_scan+0x3f4/0x480 [wl]
[   42.863016]  [<ffffffffa026ec78>] ? nl80211_trigger_scan+0xf8/0x610 [cfg80211]
[   42.863016]  [<ffffffffa026ec78>] ? nl80211_trigger_scan+0xf8/0x610 [cfg80211]
[   42.863016]  [<ffffffffa026f005>] nl80211_trigger_scan+0x485/0x610 [cfg80211]
[   42.863016]  [<ffffffff81536f70>] genl_rcv_msg+0x250/0x2d0
[   42.863016]  [<ffffffff81536d20>] ? genl_rcv+0x40/0x40
[   42.863016]  [<ffffffff81536891>] netlink_rcv_skb+0xa1/0xb0
[   42.863016]  [<ffffffff81536d05>] genl_rcv+0x25/0x40
[   42.863016]  [<ffffffff815361ed>] netlink_unicast+0x19d/0x220
[   42.863016]  [<ffffffff81536548>] netlink_sendmsg+0x2d8/0x390
[   42.863016]  [<ffffffff814f598c>] sock_sendmsg+0xbc/0xf0
[   42.863016]  [<ffffffff811861db>] ? __mem_cgroup_commit_charge+0x16b/0x3a0
[   42.863016]  [<ffffffff8107f601>] ? __wake_up_bit+0x31/0x40
[   42.863016]  [<ffffffff814f5d6c>] __sys_sendmsg+0x3ac/0x3c0
[   42.863016]  [<ffffffff81154839>] ? handle_mm_fault+0x259/0x320
[   42.863016]  [<ffffffff8161e17c>] ? do_page_fault+0x1bc/0x4b0
[   42.863016]  [<ffffffff810d7a2c>] ? __audit_syscall_exit+0x3ec/0x450
[   42.863016]  [<ffffffff814f7c09>] sys_sendmsg+0x49/0x90
[   42.863016]  [<ffffffff816226e9>] system_call_fastpath+0x16/0x1b
[   42.863016] Code: e7 e8 5f 79 ff ff 48 89 df e8 27 9e dd e0 31 f6 4c 89 ef e8 1d 93 e9 e0 5b 41 5c 41 5d 41 5e 5d c3 55 48 89 e5 0f 0b 55 48 89 e5 <0f> 0b 55 48 89 e5 66 66 66 66 90 0f 0b 55 48 89 e5 66 66 66 66 
[   42.863016] RIP  [<ffffffffa0525326>] wdev_priv.part.8+0x4/0x6 [wl]
[   42.863016]  RSP <ffff8801243fb958>
[   43.232344] ---[ end trace eba191717996895b ]---
Comment 3 Dario 2012-10-13 12:13:25 EDT
I just rebooted the machine and i got a kernel panic

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Juanchop 2012-10-13 15:09:41 EDT
been updated since the system automatically 3.6.1.1 kernel, which asked me to reboot to apply the changes.

When you restart system starts normally, until you get to the login, the password entry screen and shows me only the wallpaper, and shows me error screen and asks me to login, without positive results. I rebooted the system, but it does not.

I have been able to start the system with 3.5 kernel and it works without problems

my pc is a dell inspiron 1525 laptop


Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Andy Campbell 2012-10-14 12:10:53 EDT
Same here after kernel update to kernel-3.6.1-1.fc17.x86_64, my laptop boots
but after I enter username and password I can't get further than the wallpaper



/var/log/messages has ...



Oct 14 16:39:59 sirius kernel: [  424.687574] kernel BUG at include/net/cfg80211.h:2473!
Oct 14 16:39:59 sirius kernel: [  424.689546] invalid opcode: 0000 [#1] SMP
Oct 14 16:39:59 sirius kernel: [  424.691530] Modules linked in: rfcomm bnep vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nf_
conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables lib802
11_crypt_tkip wl(PO) btusb bluetooth snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_de
vice snd_pcm cfg80211 snd_page_alloc snd_timer snd uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media tg3 r
fkill iTCO_wdt iTCO_vendor_support lpc_ich ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder ir_jvc_decod
er ir_rc6_decoder soundcore mfd_core lib80211 ir_rc5_decoder ir_nec_decoder coretemp i7core_edac edac_core kvm_intel kvm rc_rc6_mc
e ite_cir dell_laptop i2c_i801 rc_core dell_wmi microcode sparse_keymap dcdbas uinput binfmt_misc xts gf128mul dm_crypt mmc_block
crc32c_intel firewire_ohci sdhci_pci sdhci firewire_core mmc_core crc_itu_t wmi video radeon i2c_algo_bit drm_kms_hel
Oct 14 16:39:59 sirius kernel: per ttm drm i2c_core
Oct 14 16:39:59 sirius kernel: [  424.704526] CPU 2
Oct 14 16:39:59 sirius kernel: [  424.704551] Pid: 1262, comm: wpa_supplicant Tainted: P         C O 3.6.1-1.fc17.x86_64 #1 Dell I
nc. Studio XPS 1645/0Y517R
Comment 6 Massimo Di Primio 2012-10-14 16:55:57 EDT
Same here after updating the kernel (yum update) from 
kernel-3.5.6-1.fc17.x86_64 to
kernel-3.6.1-1.fc17.x86_64
on my Dell Precision M4500
with : Wireless Broadcom Corporation BCM43224 802.11a/b/g/n
       Ethernet controller: Intel Corporation 82577LM Gigabit Network

Here is the piece of messages interested when system boots up
=========================================
Oct 14 22:27:43 kiowax dbus-daemon[843]: dbus[843]: [system] Successfully activated service 'fi.w1.wpa_supplicant1'
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0) supports 1 scan SSIDs
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0): supplicant interface state: starting -> ready
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Oct 14 22:27:43 kiowax NetworkManager[1001]: <warn> Trying to remove a non-existant call id.
Oct 14 22:27:43 kiowax kernel: [   45.060887] general protection fault: 0000 [#1] SMP 
Oct 14 22:27:43 kiowax kernel: [   45.061242] Modules linked in: nfsd auth_rpcgss nfs_acl lockd sunrpc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib
Oct 14 22:27:43 kiowax kernel: crc32c_intel ghash_clmulni_intel firewire_ohci firewire_core crc_itu_t sdhci_pci sdhci mmc_core yenta_socket hid_logitech_dj nouveau mxm_wmi wmi video i2c_
Oct 14 22:27:43 kiowax kernel: [   45.064373] CPU 0 
Oct 14 22:27:43 kiowax kernel: [   45.064380] Pid: 1152, comm: wpa_supplicant Tainted: P           O 3.6.1-1.fc17.x86_64 #1 Dell Inc. Precision M4500/0RRH3K
Oct 14 22:27:43 kiowax kernel: [   45.065777] RIP: 0010:[<ffffffffa047f1dc>]  [<ffffffffa047f1dc>] wl_cfg80211_scan+0x8c/0x480 [wl]
Oct 14 22:27:43 kiowax kernel: [   45.066487] RSP: 0018:ffff880212a3b968  EFLAGS: 00010202
Oct 14 22:27:43 kiowax kernel: [   45.067203] RAX: ffffffffa06095c0 RBX: ffff88021f98a1e0 RCX: ffff88021f98a1e0
Oct 14 22:27:43 kiowax kernel: [   45.067918] RDX: ffff88021f98a1e0 RSI: ffff8802211ee800 RDI: ffff88021f98a1e0
Oct 14 22:27:43 kiowax kernel: [   45.068623] RBP: ffff880212a3b9a8 R08: ffff88022fc16ac0 R09: 000000000000007b
Oct 14 22:27:43 kiowax kernel: [   45.069333] R10: 0000000000000002 R11: ffff880227002a00 R12: 0088163000000001
Oct 14 22:27:43 kiowax kernel: [   45.070054] R13: ffff8802211ee800 R14: ffff8802211ee800 R15: 0000000000000000
Oct 14 22:27:43 kiowax kernel: [   45.070772] FS:  00007f8cbeda1800(0000) GS:ffff88022fc00000(0000) knlGS:0000000000000000
Oct 14 22:27:43 kiowax kernel: [   45.071491] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Oct 14 22:27:43 kiowax kernel: [   45.072208] CR2: 0000000002510168 CR3: 0000000212a5a000 CR4: 00000000000007f0
Oct 14 22:27:43 kiowax kernel: [   45.072929] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Oct 14 22:27:43 kiowax kernel: [   45.073651] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Oct 14 22:27:43 kiowax kernel: [   45.074362] Process wpa_supplicant (pid: 1152, threadinfo ffff880212a3a000, task ffff88021e49c530)
Oct 14 22:27:43 kiowax kernel: [   45.075072] Stack:
Oct 14 22:27:43 kiowax kernel: [   45.075770]  ffffffffa0332c78 ffffffffa0332c78 0000000000000001 ffff880212a3ba28
Oct 14 22:27:43 kiowax kernel: [   45.076483]  ffff88021f98a000 0000000000000001 ffff8802211ee800 0000000000000000
Oct 14 22:27:43 kiowax kernel: [   45.077205]  ffff880212a3ba08 ffffffffa0333005 000000000000007c 0000000000000004
Oct 14 22:27:43 kiowax kernel: [   45.077928] Call Trace:
Oct 14 22:27:43 kiowax kernel: [   45.078650]  [<ffffffffa0332c78>] ? nl80211_trigger_scan+0xf8/0x610 [cfg80211]
Oct 14 22:27:43 kiowax kernel: [   45.079361]  [<ffffffffa0332c78>] ? nl80211_trigger_scan+0xf8/0x610 [cfg80211]
Oct 14 22:27:43 kiowax kernel: [   45.080078]  [<ffffffffa0333005>] nl80211_trigger_scan+0x485/0x610 [cfg80211]
Oct 14 22:27:43 kiowax kernel: [   45.080773]  [<ffffffff81536f70>] genl_rcv_msg+0x250/0x2d0
Oct 14 22:27:43 kiowax kernel: [   45.081463]  [<ffffffff81536d20>] ? genl_rcv+0x40/0x40
Oct 14 22:27:43 kiowax kernel: [   45.082162]  [<ffffffff81536891>] netlink_rcv_skb+0xa1/0xb0
Oct 14 22:27:43 kiowax kernel: [   45.082858]  [<ffffffff81536d05>] genl_rcv+0x25/0x40
Oct 14 22:27:43 kiowax kernel: [   45.083544]  [<ffffffff815361ed>] netlink_unicast+0x19d/0x220
Oct 14 22:27:43 kiowax kernel: [   45.084221]  [<ffffffff81536548>] netlink_sendmsg+0x2d8/0x390
Oct 14 22:27:43 kiowax kernel: [   45.084896]  [<ffffffff811a1910>] ? __pollwait+0xf0/0xf0
Oct 14 22:27:43 kiowax kernel: [   45.085560]  [<ffffffff814f598c>] sock_sendmsg+0xbc/0xf0
Oct 14 22:27:43 kiowax kernel: [   45.086224]  [<ffffffff811861db>] ? __mem_cgroup_commit_charge+0x16b/0x3a0
Oct 14 22:27:43 kiowax kernel: [   45.086885]  [<ffffffff814f5d6c>] __sys_sendmsg+0x3ac/0x3c0
Oct 14 22:27:43 kiowax kernel: [   45.087548]  [<ffffffff81154839>] ? handle_mm_fault+0x259/0x320
Oct 14 22:27:43 kiowax kernel: [   45.088213]  [<ffffffff8161e17c>] ? do_page_fault+0x1bc/0x4b0
Oct 14 22:27:43 kiowax kernel: [   45.088876]  [<ffffffff8101de1a>] ? restore_i387_xstate+0x6a/0x1c0
Oct 14 22:27:43 kiowax kernel: [   45.089539]  [<ffffffff810130e0>] ? restore_sigcontext+0x120/0x160
Oct 14 22:27:43 kiowax kernel: [   45.090198]  [<ffffffff8106e6af>] ? recalc_sigpending+0x1f/0x70
Oct 14 22:27:43 kiowax kernel: [   45.090855]  [<ffffffff814f7c09>] sys_sendmsg+0x49/0x90
Oct 14 22:27:43 kiowax kernel: [   45.091515]  [<ffffffff816226e9>] system_call_fastpath+0x16/0x1b
Oct 14 22:27:43 kiowax kernel: [   45.092171] Code: 8b 6d e8 4c 8b 75 f0 4c 8b 7d f8 c9 c3 66 90 48 8b 86 50 02 00 00 48 85 c0 0f 84 6f 03 00 00 4c 8b 20 4d 85 e4 0f 84 2f 03 00 00 <49> 
Oct 14 22:27:43 kiowax kernel: [   45.092920] RIP  [<ffffffffa047f1dc>] wl_cfg80211_scan+0x8c/0x480 [wl]
Oct 14 22:27:43 kiowax kernel: [   45.093629]  RSP <ffff880212a3b968>
Oct 14 22:27:43 kiowax kernel: [   45.094425] ---[ end trace 1fbf5ddadb68cd00 ]---
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0): supplicant interface state: ready -> inactive
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0) supports 1 scan SSIDs
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> wpa_supplicant stopped
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0): supplicant interface state: inactive -> down
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0): device state change: disconnected -> unavailable (reason 'supplicant-failed') [30 20 10]
Oct 14 22:27:43 kiowax NetworkManager[1001]: <info> (eth0): deactivating device (reason 'supplicant-failed') [10]
=========================================
Comment 7 Steve 2012-10-14 19:00:04 EDT
I'm having the same issue as well with kernel-3.6.1-1.fc17.x86_64.
Comment 8 chris.hobson 2012-10-14 21:35:14 EDT
I'm having the same issues as well with the same kernel 3.6.1-1.fc17.x86_64
It really crashed my machine!! and now can only use ethernet connection
Comment 9 Josh Boyer 2012-10-15 05:25:56 EDT
We don't support the wl module.
Comment 10 Dhiraj Kumar Hazra 2012-10-15 15:13:24 EDT
Same here. But shouldn't there be a fix? I mean a lot of users have the broadcom-wl. What should these users do? Try a different distro ? This is a priority problem without any workaround. Everything was working fine, and, as soon as the 3.6.1 kernel was installed, the laptop  became unusable. Afterall without prior testing, an update of kmod-wl seems to have triggered this issue. It will be good to know, if there will be any fix soon.
Comment 11 chris.hobson 2012-10-15 15:23:32 EDT
I've just done several reinstalls of Fedora 17 from the base downloaded version. Every thing works fine with wl so long as the kernel version is before 3.6.1. As soon as you go to 3 6 1 the least that happens is the network settings icon completely fails (preventing even ethernet.)  In some situations the system completely fails to boot at all or hangs at the Plymouth loader.
This is a REALLY NASTY bug!! and while it seems to be caused by a badly behaved driver (broadcom-wl) that isn't part of Fedora's responsibility, the impact on the system (catastrophic) seems like Fedora team should be at least a little bit interested!!

Are there no other ways to use a broadcom wireless chip set than via the Fusion Repo? What is a typical user supposed to do (one who isn't willing to waste most of their weekend tracking down this bug??)
Comment 12 Massimiliano 2012-10-15 15:57:53 EDT
Maybe someone would be interested to this:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=2526
Comment 13 Josh Boyer 2012-10-17 11:05:48 EDT
(In reply to comment #11)
> This is a REALLY NASTY bug!! and while it seems to be caused by a badly
> behaved driver (broadcom-wl) that isn't part of Fedora's responsibility, the
> impact on the system (catastrophic) seems like Fedora team should be at
> least a little bit interested!!

Our interest level is irrelevant if we can't fix the problem, which we can't.

> Are there no other ways to use a broadcom wireless chip set than via the
> Fusion Repo? What is a typical user supposed to do (one who isn't willing to
> waste most of their weekend tracking down this bug??)

A typical user doesn't use the wl driver.  It only supports a very small set of hardware that b43 or brcmsmac doesn't.  If a user does use it, they're likely already aware of where to look for updates.
Comment 14 Dario 2012-10-18 09:09:04 EDT
@chris.hobson@orionhealth.com
Are you sure that you haven't the modules 'b43' and 'ssb' in /etc/modprobe.d/blacklist? That could prevent your wifi card from working if you don't install wl.
Comment 15 PatrikR 2012-10-18 09:58:50 EDT
I updated my fedora from kernel-3.5.6-1.fc17.i686 (selected while boot). In update list was updates like kmod-wl-3.6.1-1.fc17.i686, libusal, kmod-wl and other.
After updating all updates and reboot system, kernel-3.6.1-1.fc17.i686 boot normaly and wireless work normaly too. It looks like fixed errors.
Comment 16 Massimo Di Primio 2012-10-19 05:31:56 EDT
Many thanks to Massimiliano for the url https://bugzilla.rpmfusion.org/show_bug.cgi?id=2526 

The bug in kmod-wl-3.6.1-1.fc17 was fixed, even though there's still some strange spurious lile in /var/log/messages (which can be ignored, for now).

I re-installed kernel-3.6.1-1.fc17.x86_64 on my Dell Precision M4500, together with the kmod-wl. Now the system boots up normally without problems, everything seems working fine, also my Wireless Broadcom Corporation BCM43224 802.11a/b/g/n works perfectly as it was with the previous kernel.
Thanks a lot to the rpmfusion team.
Cheers